HDFPACK(1)

NAME
hdfpack - compress an HDF file

SYNOPSIS

hdfpack [-i|-b] [-d data-descriptors-per-block] [-t linked-blocks-per-table-entry] input-hdf-file output-hdf-file

DESCRIPTION
hdfpack compresses all of the data in an HDF file and writes the compressed data to a second HDF file.

OPTIONS

-b  Non-coalesced Blocks. hdfpack will not coalesce linked-block elements.

-i  Interactive Mode. hdfpack will prompt for each linked-block element.

-d num
    Write an output file with the specified number of data descriptors per block of data descriptors.

-t num
    Write an output file with the specified number of linked blocks per table entry.

EXAMPLES
To compress the data in the file named "aa.hdf" and store the compressed data in the file named "aa.cmp", use the following hdfpack command:
        hdfpack aa.hdf aa.cmp
Suppose a file named "bb.hdf" contains data elements stored as sequences of linked blocks. The following hdfpack command compresses the file while leaving the linked-block elements intact, and writes the compressed data to a file named "bb.blk".
        hdfpack -b bb.hdf bb.blk

SEE ALSO
hdfcomp(1), hdf(5)